Loading...
Searching...
No Matches
wimlib_capture_source Struct Reference
Modifying WIMs

An array of these structures is passed to wimlib_add_image_multisource() to specify the sources from which to create a WIM image. More...

`#include <wimlib.h>`

## Data Fields

wimlib_tchar * | fs_source_path
| Absolute or relative path to a file or directory on the external filesystem to be included in the image.
wimlib_tchar * | wim_target_path
| Destination path in the image.
long | reserved
| Reserved; set to 0.

## Detailed Description

An array of these structures is passed to wimlib_add_image_multisource() to specify the sources from which to create a WIM image.

## Field Documentation

## fs_source_path

wimlib_tchar* wimlib_capture_source::fs_source_path

Absolute or relative path to a file or directory on the external filesystem to be included in the image.

## wim_target_path

wimlib_tchar* wimlib_capture_source::wim_target_path

Destination path in the image.

To specify the root directory of the image, use WIMLIB_WIM_ROOT_PATH.

## reserved

long wimlib_capture_source::reserved

Reserved; set to 0.

The documentation for this struct was generated from the following file:

- wimlib.h